net.minecraft.client.gui.inventory

## Class GuiContainerCreative

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen
    - - net.minecraft.client.gui.inventory.GuiContainer
      - - net.minecraft.client.renderer.InventoryEffectRenderer
        - - net.minecraft.client.gui.inventory.GuiContainerCreative

-     public class GuiContainerCreative
      extends InventoryEffectRenderer

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.gui.inventory.GuiContainer

      `field_147001_a, field_147007_t, field_147008_s, guiLeft, guiTop, inventorySlots, xSize, ySize`

    - ### Fields inherited from class net.minecraft.client.gui.GuiScreen

      `allowUserInput, buttonList, fontRendererObj, height, itemRender, labelList, mc, width`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiContainerCreative(EntityPlayer par1EntityPlayer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `actionPerformed(GuiButton p_146284_1_)`
    `protected void` | `drawGuiContainerBackgroundLayer(float p_146976_1_, int p_146976_2_, int p_146976_3_)`
    `protected void` | `drawGuiContainerForegroundLayer(int p_146979_1_, int p_146979_2_)`
    `void` | `drawScreen(int par1, int par2, float par3)`
    `protected boolean` | `func_147049_a(CreativeTabs p_147049_1_, int p_147049_2_, int p_147049_3_)`
    `protected void` | `func_147051_a(CreativeTabs p_147051_1_)`
    `int` | `func_147056_g()`
    `protected void` | `handleMouseClick(Slot p_146984_1_, int p_146984_2_, int p_146984_3_, int p_146984_4_)`
    `void` | `handleMouseInput()`
    `void` | `initGui()`
    `protected void` | `keyTyped(char par1, int par2)`
    `protected void` | `mouseClicked(int par1, int par2, int par3)`
    `protected void` | `mouseMovedOrUp(int p_146286_1_, int p_146286_2_, int p_146286_3_)`
    `void` | `onGuiClosed()`
    `protected boolean` | `renderCreativeInventoryHoveringText(CreativeTabs p_147052_1_, int p_147052_2_, int p_147052_3_)`
    `protected void` | `renderToolTip(ItemStack p_146285_1_, int p_146285_2_, int p_146285_3_)`
    `void` | `updateScreen()`

    - ### Methods inherited from class net.minecraft.client.gui.inventory.GuiContainer

      `checkHotbarKeys, doesGuiPauseGame, func_146978_c, mouseClickMove`

    - ### Methods inherited from class net.minecraft.client.gui.GuiScreen

      `confirmClicked, drawBackground, drawCreativeTabHoveringText, drawDefaultBackground, drawHoveringText, drawWorldBackground, func_146283_a, getClipboardString, handleInput, handleKeyboardInput, isCtrlKeyDown, isShiftKeyDown, setClipboardString, setWorldAndResolution`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiContainerCreative

          public GuiContainerCreative(EntityPlayer par1EntityPlayer)

  - ### Method Detail

    - #### updateScreen

          public void updateScreen()

      Overrides:
        `updateScreen` in class `GuiContainer`

    - #### handleMouseClick

          protected void handleMouseClick(Slot p_146984_1_,
                              int p_146984_2_,
                              int p_146984_3_,
                              int p_146984_4_)

      Overrides:
        `handleMouseClick` in class `GuiContainer`

    - #### initGui

          public void initGui()

      Overrides:
        `initGui` in class `InventoryEffectRenderer`

    - #### onGuiClosed

          public void onGuiClosed()

      Overrides:
        `onGuiClosed` in class `GuiContainer`

    - #### keyTyped

          protected void keyTyped(char par1,
                      int par2)

      Overrides:
        `keyTyped` in class `GuiContainer`

    - #### drawGuiContainerForegroundLayer

          protected void drawGuiContainerForegroundLayer(int p_146979_1_,
                                             int p_146979_2_)

      Overrides:
        `drawGuiContainerForegroundLayer` in class `GuiContainer`

    - #### mouseClicked

          protected void mouseClicked(int par1,
                          int par2,
                          int par3)

      Overrides:
        `mouseClicked` in class `GuiContainer`

    - #### mouseMovedOrUp

          protected void mouseMovedOrUp(int p_146286_1_,
                            int p_146286_2_,
                            int p_146286_3_)

      Overrides:
        `mouseMovedOrUp` in class `GuiContainer`

    - #### handleMouseInput

          public void handleMouseInput()

      Overrides:
        `handleMouseInput` in class `GuiScreen`

    - #### drawScreen

          public void drawScreen(int par1,
                        int par2,
                        float par3)

      Overrides:
        `drawScreen` in class `InventoryEffectRenderer`

    - #### renderToolTip

          protected void renderToolTip(ItemStack p_146285_1_,
                           int p_146285_2_,
                           int p_146285_3_)

      Overrides:
        `renderToolTip` in class `GuiScreen`

    - #### drawGuiContainerBackgroundLayer

          protected void drawGuiContainerBackgroundLayer(float p_146976_1_,
                                             int p_146976_2_,
                                             int p_146976_3_)

      Specified by:
        `drawGuiContainerBackgroundLayer` in class `GuiContainer`

    - #### func_147049_a

          protected boolean func_147049_a(CreativeTabs p_147049_1_,
                              int p_147049_2_,
                              int p_147049_3_)

    - #### renderCreativeInventoryHoveringText

          protected boolean renderCreativeInventoryHoveringText(CreativeTabs p_147052_1_,
                                                    int p_147052_2_,
                                                    int p_147052_3_)

    - #### func_147051_a

          protected void func_147051_a(CreativeTabs p_147051_1_)

    - #### actionPerformed

          protected void actionPerformed(GuiButton p_146284_1_)

      Overrides:
        `actionPerformed` in class `GuiScreen`

    - #### func_147056_g

          public int func_147056_g()